#include "spi_sdcard.h"
#include "string.h"	 
#include "sys.h"	 
#include "usart.h"	 
//////////////////////////////////////////////////////////////////////////////////	 

//********************************************************************************
//޸˵
//V1.1	20140522
//1,볬ʱж,ѯ.
//V1.2 	20140715
//1,SD_GetStateSD_SendStatus.
////////////////////////////////////////////////////////////////////////////////// 	 


static u8 CardType=SDIO_STD_CAPACITY_SD_CARD_V1_1;		//SDͣĬΪ1.x
static u32 CSD_Tab[4],CID_Tab[4],RCA=0;					//SDCSD,CIDԼԵַ(RCA)
static u8 DeviceMode=SD_DMA_MODE;		   				//ģʽ,ע,ģʽͨSD_SetDeviceMode,.ֻǶһĬϵģʽ(SD_DMA_MODE)
static u8 StopCondition=0; 								//Ƿֹͣ־λ,DMAдʱõ  
volatile SD_Error TransferError=SD_OK;					//ݴ־,DMAдʱʹ	    
volatile u8 TransferEnd=0;								//־,DMAдʱʹ
SD_CardInfo SDCardInfo;									//SDϢ

//SD_ReadDisk/SD_WriteDiskרbuf,ݻַ4ֽڶʱ,
//Ҫõ,ȷݻַ4ֽڶ.
__align(4) u8 SDIO_DATA_BUFFER[512];						  




//ʼSD
//ֵ:;(0,޴)
SD_Error SD_Init(void)
{
	SD_Error errorstatus=SD_OK;	   
	//SDIO IOڳʼ   	 
	RCC->AHB1ENR|=1<<2;    		//ʹPORTCʱ
	RCC->AHB1ENR|=1<<3;    		//ʹPORTDʱ 
	RCC->AHB1ENR|=1<<22;		//DMA2ʱʹ
	RCC->APB2ENR|=1<<11;		//SDIOʱʹ
	RCC->APB2RSTR|=1<<11;		//SDIOλ
	GPIO_Set(GPIOC,0X1F<<8,GPIO_MODE_AF,GPIO_OTYPE_PP,GPIO_SPEED_50M,GPIO_PUPD_PU);	//PC8,9,10,11,12ù	
 	GPIO_Set(GPIOD,1<<2,GPIO_MODE_AF,GPIO_OTYPE_PP,GPIO_SPEED_50M,GPIO_PUPD_PU);	//PD2ù	
  	GPIO_AF_Set(GPIOC,8,12);	//PC8,AF12
 	GPIO_AF_Set(GPIOC,9,12);	//PC9,AF12
 	GPIO_AF_Set(GPIOC,10,12);	//PC10,AF12 
 	GPIO_AF_Set(GPIOC,11,12);	//PC11,AF12 
 	GPIO_AF_Set(GPIOC,12,12);	//PC12,AF12 
 	GPIO_AF_Set(GPIOD,2,12);	//PD2,AF12    
	RCC->APB2RSTR&=~(1<<11);	//SDIOλ
 	//SDIOĴΪĬֵ 			   
	SDIO->POWER=0x00000000;
	SDIO->CLKCR=0x00000000;
	SDIO->ARG=0x00000000;
	SDIO->CMD=0x00000000;
	SDIO->DTIMER=0x00000000;
	SDIO->DLEN=0x00000000;
	SDIO->DCTRL=0x00000000;
	SDIO->ICR=0x00C007FF;
	SDIO->MASK=0x00000000;	  
 	MY_NVIC_Init(0,0,SDIO_IRQn,2);		//SDIOж
   	errorstatus=SD_PowerON();			//SDϵ
 	if(errorstatus==SD_OK)errorstatus=SD_InitializeCards();			//ʼSD														  
  	if(errorstatus==SD_OK)errorstatus=SD_GetCardInfo(&SDCardInfo);	//ȡϢ
 	if(errorstatus==SD_OK)errorstatus=SD_SelectDeselect((u32)(SDCardInfo.RCA<<16));//ѡSD   
   	if(errorstatus==SD_OK)errorstatus=SD_EnableWideBusOperation(1);	//4λ,MMC,4λģʽ 
  	if((errorstatus==SD_OK)||(SDIO_MULTIMEDIA_CARD==CardType))
	{  		    
		SDIO_Clock_Set(SDIO_TRANSFER_CLK_DIV);			//ʱƵ,SDIOʱӼ㹫ʽ:SDIO_CKʱ=SDIOCLK/[clkdiv+2];,SDIOCLK̶Ϊ48Mhz 
		//errorstatus=SD_SetDeviceMode(SD_DMA_MODE);	//ΪDMAģʽ
		errorstatus=SD_SetDeviceMode(SD_POLLING_MODE);//Ϊѯģʽ
 	}
	return errorstatus;		 
}
//SDIOʱӳʼ
//clkdiv:ʱӷƵϵ
//CKʱ=SDIOCLK/[clkdiv+2];(SDIOCLKʱӹ̶Ϊ48Mhz)
void SDIO_Clock_Set(u8 clkdiv)
{
	u32 tmpreg=SDIO->CLKCR; 
  	tmpreg&=0XFFFFFF00; 
 	tmpreg|=clkdiv;   
	SDIO->CLKCR=tmpreg;
} 
//SDIO
//cmdindex:,λЧ
//waitrsp:ڴӦ.00/10,Ӧ;01,Ӧ;11,Ӧ
//arg:
void SDIO_Send_Cmd(u8 cmdindex,u8 waitrsp,u32 arg)
{			
	u32 tmpreg;
	SDIO->ARG=arg;
	tmpreg=SDIO->CMD; 
	tmpreg&=0XFFFFF800;		//indexwaitrsp
	tmpreg|=cmdindex&0X3F;	//µindex			 
	tmpreg|=waitrsp<<6;		//µwait rsp 
	tmpreg|=0<<8;			//޵ȴ
  	tmpreg|=1<<10;			//ͨ״̬ʹ
	SDIO->CMD=tmpreg;
}
//SDIOú
//datatimeout:ʱʱ
//datalen:ݳ,25λЧ,ΪС
//blksize:С.ʵʴСΪ:2^blksizeֽ
//dir:ݴ䷽:0,;1,;
void SDIO_Send_Data_Cfg(u32 datatimeout,u32 datalen,u8 blksize,u8 dir)
{
	u32 tmpreg;
	SDIO->DTIMER=datatimeout;
  	SDIO->DLEN=datalen&0X1FFFFFF;	//25λЧ
	tmpreg=SDIO->DCTRL; 
	tmpreg&=0xFFFFFF08;		//֮ǰ.
	tmpreg|=blksize<<4;		//ÿС
	tmpreg|=0<<2;			//ݴ
	tmpreg|=(dir&0X01)<<1;	//
	tmpreg|=1<<0;			//ݴʹ,DPSM״̬
	SDIO->DCTRL=tmpreg;		
}  

//ϵ
//ѯSDIOӿϵĿ豸,ѯѹʱ
//ֵ:;(0,޴)
SD_Error SD_PowerON(void)
{
 	u8 i=0;
	SD_Error errorstatus=SD_OK;
	u32 response=0,count=0,validvoltage=0;
	u32 SDType=SD_STD_CAPACITY;
	//CLKCRĴ 
	SDIO->CLKCR=0;				//CLKCR֮ǰ
	SDIO->CLKCR|=0<<9;			//ʡģʽ
	SDIO->CLKCR|=0<<10;			//ر·,CKݷƵ
	SDIO->CLKCR|=0<<11;			//1λݿ
	SDIO->CLKCR|=0<<13;			//SDIOCLKزSDIOCK
	SDIO->CLKCR|=0<<14;			//رӲ    
	SDIO_Clock_Set(SDIO_INIT_CLK_DIV);//ʱƵ(ʼʱ,ܳ400Khz)			 
 	SDIO->POWER=0X03;			//ϵ״̬,ʱ    
  	SDIO->CLKCR|=1<<8;			//SDIOCKʹ   
   	for(i=0;i<74;i++)
	{
		SDIO_Send_Cmd(SD_CMD_GO_IDLE_STATE,0,0);//CMD0IDLE STAGEģʽ.												  
		errorstatus=CmdError();
		if(errorstatus==SD_OK)break;
 	}
 	if(errorstatus)return errorstatus;//ش״̬
	SDIO_Send_Cmd(SDIO_SEND_IF_COND,1,SD_CHECK_PATTERN);//CMD8,Ӧ,SDӿ.
 														//arg[11:8]:01,ֵ֧ѹΧ,2.7~3.6V
														//arg[7:0]:Ĭ0XAA
														//Ӧ7
  	errorstatus=CmdResp7Error();						//ȴR7Ӧ
 	if(errorstatus==SD_OK) 								//R7Ӧ
	{
		CardType=SDIO_STD_CAPACITY_SD_CARD_V2_0;		//SD 2.0
		SDType=SD_HIGH_CAPACITY;			   			//
	}
	SDIO_Send_Cmd(SD_CMD_APP_CMD,1,0);					//CMD55,Ӧ	 
	errorstatus=CmdResp1Error(SD_CMD_APP_CMD); 		 	//ȴR1Ӧ   
	if(errorstatus==SD_OK)//SD2.0/SD 1.1,ΪMMC
	{																  
		//SD,ACMD41 SD_APP_OP_COND,Ϊ:0x80100000 
		while((!validvoltage)&&(count<SD_MAX_VOLT_TRIAL))
		{	   										   
			SDIO_Send_Cmd(SD_CMD_APP_CMD,1,0);				//CMD55,Ӧ	 
			errorstatus=CmdResp1Error(SD_CMD_APP_CMD); 	 	//ȴR1Ӧ   
 			if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ
			SDIO_Send_Cmd(SD_CMD_SD_APP_OP_COND,1,SD_VOLTAGE_WINDOW_SD|SDType);//ACMD41,Ӧ	 
			errorstatus=CmdResp3Error(); 					//ȴR3Ӧ   
 			if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ  
			response=SDIO->RESP1;;			   				//õӦ
			validvoltage=(((response>>31)==1)?1:0);			//жSDϵǷ
			count++;
		}
		if(count>=SD_MAX_VOLT_TRIAL)
		{
			errorstatus=SD_INVALID_VOLTRANGE;
			return errorstatus;
		}	 
		if(response&=SD_HIGH_CAPACITY)
		{
			CardType=SDIO_HIGH_CAPACITY_SD_CARD;
		}
 	}else//MMC
	{
		//MMC,CMD1 SDIO_SEND_OP_COND,Ϊ:0x80FF8000 
		while((!validvoltage)&&(count<SD_MAX_VOLT_TRIAL))
		{	   										   				   
			SDIO_Send_Cmd(SD_CMD_SEND_OP_COND,1,SD_VOLTAGE_WINDOW_MMC);//CMD1,Ӧ	 
			errorstatus=CmdResp3Error(); 					//ȴR3Ӧ   
 			if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ  
			response=SDIO->RESP1;;			   				//õӦ
			validvoltage=(((response>>31)==1)?1:0);
			count++;
		}
		if(count>=SD_MAX_VOLT_TRIAL)
		{
			errorstatus=SD_INVALID_VOLTRANGE;
			return errorstatus;
		}	 			    
		CardType=SDIO_MULTIMEDIA_CARD;	  
  	}  
  	return(errorstatus);		
}
//SD Power OFF
//ֵ:;(0,޴)
SD_Error SD_PowerOFF(void)
{
  	SDIO->POWER&=~(3<<0);//SDIOԴر,ʱֹͣ	
	return SD_OK;		  
}   
//ʼеĿ,ÿ״̬
//ֵ:
SD_Error SD_InitializeCards(void)
{
 	SD_Error errorstatus=SD_OK;
	u16 rca = 0x01;
 	if((SDIO->POWER&0X03)==0)return SD_REQUEST_NOT_APPLICABLE;//Դ״̬,ȷΪϵ״̬
 	if(SDIO_SECURE_DIGITAL_IO_CARD!=CardType)			//SECURE_DIGITAL_IO_CARD
	{
		SDIO_Send_Cmd(SD_CMD_ALL_SEND_CID,3,0);			//CMD2,ȡCID,Ӧ	 
		errorstatus=CmdResp2Error(); 					//ȴR2Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ		    
 		CID_Tab[0]=SDIO->RESP1;
		CID_Tab[1]=SDIO->RESP2;
		CID_Tab[2]=SDIO->RESP3;
		CID_Tab[3]=SDIO->RESP4;
	}
	if((SDIO_STD_CAPACITY_SD_CARD_V1_1==CardType)||(SDIO_STD_CAPACITY_SD_CARD_V2_0==CardType)||(SDIO_SECURE_DIGITAL_IO_COMBO_CARD==CardType)||(SDIO_HIGH_CAPACITY_SD_CARD==CardType))//жϿ
	{
		SDIO_Send_Cmd(SD_CMD_SET_REL_ADDR,1,0);			//CMD3,Ӧ 
		errorstatus=CmdResp6Error(SD_CMD_SET_REL_ADDR,&rca);//ȴR6Ӧ 
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ		    
	}   
    if (SDIO_MULTIMEDIA_CARD==CardType)
    {
 		SDIO_Send_Cmd(SD_CMD_SET_REL_ADDR,1,(u32)(rca<<16));//CMD3,Ӧ 	   
		errorstatus=CmdResp2Error(); 					//ȴR2Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	 
    }
	if (SDIO_SECURE_DIGITAL_IO_CARD!=CardType)			//SECURE_DIGITAL_IO_CARD
	{
		RCA = rca;
		SDIO_Send_Cmd(SD_CMD_SEND_CSD,3,(u32)(rca<<16));//CMD9+RCA,ȡCSD,Ӧ 	   
		errorstatus=CmdResp2Error(); 					//ȴR2Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ		    
  		CSD_Tab[0]=SDIO->RESP1;
		CSD_Tab[1]=SDIO->RESP2;
		CSD_Tab[2]=SDIO->RESP3;						
		CSD_Tab[3]=SDIO->RESP4;					    
	}
	return SD_OK;//ʼɹ
} 
//õϢ
//cardinfo:Ϣ洢
//ֵ:״̬
SD_Error SD_GetCardInfo(SD_CardInfo *cardinfo)
{
 	SD_Error errorstatus=SD_OK;
	u8 tmp=0;	   
	cardinfo->CardType=(u8)CardType; 				//
	cardinfo->RCA=(u16)RCA;							//RCAֵ
	tmp=(u8)((CSD_Tab[0]&0xFF000000)>>24);
	cardinfo->SD_csd.CSDStruct=(tmp&0xC0)>>6;		//CSDṹ
	cardinfo->SD_csd.SysSpecVersion=(tmp&0x3C)>>2;	//2.0Э黹ûⲿ(Ϊ),ӦǺЭ鶨
	cardinfo->SD_csd.Reserved1=tmp&0x03;			//2λ  
	tmp=(u8)((CSD_Tab[0]&0x00FF0000)>>16);			//1ֽ
	cardinfo->SD_csd.TAAC=tmp;				   		//ݶʱ1
	tmp=(u8)((CSD_Tab[0]&0x0000FF00)>>8);	  		//2ֽ
	cardinfo->SD_csd.NSAC=tmp;		  				//ݶʱ2
	tmp=(u8)(CSD_Tab[0]&0x000000FF);				//3ֽ
	cardinfo->SD_csd.MaxBusClkFrec=tmp;		  		//ٶ	   
	tmp=(u8)((CSD_Tab[1]&0xFF000000)>>24);			//4ֽ
	cardinfo->SD_csd.CardComdClasses=tmp<<4;    	//ָλ
	tmp=(u8)((CSD_Tab[1]&0x00FF0000)>>16);	 		//5ֽ
	cardinfo->SD_csd.CardComdClasses|=(tmp&0xF0)>>4;//ָλ
	cardinfo->SD_csd.RdBlockLen=tmp&0x0F;	    	//ȡݳ
	tmp=(u8)((CSD_Tab[1]&0x0000FF00)>>8);			//6ֽ
	cardinfo->SD_csd.PartBlockRead=(tmp&0x80)>>7;	//ֿ
	cardinfo->SD_csd.WrBlockMisalign=(tmp&0x40)>>6;	//дλ
	cardinfo->SD_csd.RdBlockMisalign=(tmp&0x20)>>5;	//λ
	cardinfo->SD_csd.DSRImpl=(tmp&0x10)>>4;
	cardinfo->SD_csd.Reserved2=0; 					//
 	if((CardType==SDIO_STD_CAPACITY_SD_CARD_V1_1)||(CardType==SDIO_STD_CAPACITY_SD_CARD_V2_0)||(SDIO_MULTIMEDIA_CARD==CardType))//׼1.1/2.0/MMC
	{
		cardinfo->SD_csd.DeviceSize=(tmp&0x03)<<10;	//C_SIZE(12λ)
	 	tmp=(u8)(CSD_Tab[1]&0x000000FF); 			//7ֽ	
		cardinfo->SD_csd.DeviceSize|=(tmp)<<2;
 		tmp=(u8)((CSD_Tab[2]&0xFF000000)>>24);		//8ֽ	
		cardinfo->SD_csd.DeviceSize|=(tmp&0xC0)>>6;
 		cardinfo->SD_csd.MaxRdCurrentVDDMin=(tmp&0x38)>>3;
		cardinfo->SD_csd.MaxRdCurrentVDDMax=(tmp&0x07);
 		tmp=(u8)((CSD_Tab[2]&0x00FF0000)>>16);		//9ֽ	
		cardinfo->SD_csd.MaxWrCurrentVDDMin=(tmp&0xE0)>>5;
		cardinfo->SD_csd.MaxWrCurrentVDDMax=(tmp&0x1C)>>2;
		cardinfo->SD_csd.DeviceSizeMul=(tmp&0x03)<<1;//C_SIZE_MULT
 		tmp=(u8)((CSD_Tab[2]&0x0000FF00)>>8);	  	//10ֽ	
		cardinfo->SD_csd.DeviceSizeMul|=(tmp&0x80)>>7;
 		cardinfo->CardCapacity=(cardinfo->SD_csd.DeviceSize+1);//㿨
		cardinfo->CardCapacity*=(1<<(cardinfo->SD_csd.DeviceSizeMul+2));
		cardinfo->CardBlockSize=1<<(cardinfo->SD_csd.RdBlockLen);//С
		cardinfo->CardCapacity*=cardinfo->CardBlockSize;
	}else if(CardType==SDIO_HIGH_CAPACITY_SD_CARD)	//
	{
 		tmp=(u8)(CSD_Tab[1]&0x000000FF); 		//7ֽ	
		cardinfo->SD_csd.DeviceSize=(tmp&0x3F)<<16;//C_SIZE
 		tmp=(u8)((CSD_Tab[2]&0xFF000000)>>24); 	//8ֽ	
 		cardinfo->SD_csd.DeviceSize|=(tmp<<8);
 		tmp=(u8)((CSD_Tab[2]&0x00FF0000)>>16);	//9ֽ	
 		cardinfo->SD_csd.DeviceSize|=(tmp);
 		tmp=(u8)((CSD_Tab[2]&0x0000FF00)>>8); 	//10ֽ	
 		cardinfo->CardCapacity=(long long)(cardinfo->SD_csd.DeviceSize+1)*512*1024;//㿨
		cardinfo->CardBlockSize=512; 			//С̶Ϊ512ֽ
	}	  
	cardinfo->SD_csd.EraseGrSize=(tmp&0x40)>>6;
	cardinfo->SD_csd.EraseGrMul=(tmp&0x3F)<<1;	   
	tmp=(u8)(CSD_Tab[2]&0x000000FF);			//11ֽ	
	cardinfo->SD_csd.EraseGrMul|=(tmp&0x80)>>7;
	cardinfo->SD_csd.WrProtectGrSize=(tmp&0x7F);
 	tmp=(u8)((CSD_Tab[3]&0xFF000000)>>24);		//12ֽ	
	cardinfo->SD_csd.WrProtectGrEnable=(tmp&0x80)>>7;
	cardinfo->SD_csd.ManDeflECC=(tmp&0x60)>>5;
	cardinfo->SD_csd.WrSpeedFact=(tmp&0x1C)>>2;
	cardinfo->SD_csd.MaxWrBlockLen=(tmp&0x03)<<2;	 
	tmp=(u8)((CSD_Tab[3]&0x00FF0000)>>16);		//13ֽ
	cardinfo->SD_csd.MaxWrBlockLen|=(tmp&0xC0)>>6;
	cardinfo->SD_csd.WriteBlockPaPartial=(tmp&0x20)>>5;
	cardinfo->SD_csd.Reserved3=0;
	cardinfo->SD_csd.ContentProtectAppli=(tmp&0x01);  
	tmp=(u8)((CSD_Tab[3]&0x0000FF00)>>8);		//14ֽ
	cardinfo->SD_csd.FileFormatGrouop=(tmp&0x80)>>7;
	cardinfo->SD_csd.CopyFlag=(tmp&0x40)>>6;
	cardinfo->SD_csd.PermWrProtect=(tmp&0x20)>>5;
	cardinfo->SD_csd.TempWrProtect=(tmp&0x10)>>4;
	cardinfo->SD_csd.FileFormat=(tmp&0x0C)>>2;
	cardinfo->SD_csd.ECC=(tmp&0x03);  
	tmp=(u8)(CSD_Tab[3]&0x000000FF);			//15ֽ
	cardinfo->SD_csd.CSD_CRC=(tmp&0xFE)>>1;
	cardinfo->SD_csd.Reserved4=1;		 
	tmp=(u8)((CID_Tab[0]&0xFF000000)>>24);		//0ֽ
	cardinfo->SD_cid.ManufacturerID=tmp;		    
	tmp=(u8)((CID_Tab[0]&0x00FF0000)>>16);		//1ֽ
	cardinfo->SD_cid.OEM_AppliID=tmp<<8;	  
	tmp=(u8)((CID_Tab[0]&0x000000FF00)>>8);		//2ֽ
	cardinfo->SD_cid.OEM_AppliID|=tmp;	    
	tmp=(u8)(CID_Tab[0]&0x000000FF);			//3ֽ	
	cardinfo->SD_cid.ProdName1=tmp<<24;				  
	tmp=(u8)((CID_Tab[1]&0xFF000000)>>24); 		//4ֽ
	cardinfo->SD_cid.ProdName1|=tmp<<16;	  
	tmp=(u8)((CID_Tab[1]&0x00FF0000)>>16);	   	//5ֽ
	cardinfo->SD_cid.ProdName1|=tmp<<8;		 
	tmp=(u8)((CID_Tab[1]&0x0000FF00)>>8);		//6ֽ
	cardinfo->SD_cid.ProdName1|=tmp;		   
	tmp=(u8)(CID_Tab[1]&0x000000FF);	  		//7ֽ
	cardinfo->SD_cid.ProdName2=tmp;			  
	tmp=(u8)((CID_Tab[2]&0xFF000000)>>24); 		//8ֽ
	cardinfo->SD_cid.ProdRev=tmp;		 
	tmp=(u8)((CID_Tab[2]&0x00FF0000)>>16);		//9ֽ
	cardinfo->SD_cid.ProdSN=tmp<<24;	   
	tmp=(u8)((CID_Tab[2]&0x0000FF00)>>8); 		//10ֽ
	cardinfo->SD_cid.ProdSN|=tmp<<16;	   
	tmp=(u8)(CID_Tab[2]&0x000000FF);   			//11ֽ
	cardinfo->SD_cid.ProdSN|=tmp<<8;		   
	tmp=(u8)((CID_Tab[3]&0xFF000000)>>24); 		//12ֽ
	cardinfo->SD_cid.ProdSN|=tmp;			     
	tmp=(u8)((CID_Tab[3]&0x00FF0000)>>16);	 	//13ֽ
	cardinfo->SD_cid.Reserved1|=(tmp&0xF0)>>4;
	cardinfo->SD_cid.ManufactDate=(tmp&0x0F)<<8;    
	tmp=(u8)((CID_Tab[3]&0x0000FF00)>>8);		//14ֽ
	cardinfo->SD_cid.ManufactDate|=tmp;		 	  
	tmp=(u8)(CID_Tab[3]&0x000000FF);			//15ֽ
	cardinfo->SD_cid.CID_CRC=(tmp&0xFE)>>1;
	cardinfo->SD_cid.Reserved2=1;	 
	return errorstatus;
}
//SDIO߿(MMC֧4bitģʽ)
//wmode:λģʽ.0,1λݿ;1,4λݿ;2,8λݿ
//ֵ:SD״̬
SD_Error SD_EnableWideBusOperation(u32 wmode)
{
  	SD_Error errorstatus=SD_OK;
 	if(SDIO_MULTIMEDIA_CARD==CardType)return SD_UNSUPPORTED_FEATURE;//MMC֧
 	else if((SDIO_STD_CAPACITY_SD_CARD_V1_1==CardType)||(SDIO_STD_CAPACITY_SD_CARD_V2_0==CardType)||(SDIO_HIGH_CAPACITY_SD_CARD==CardType))
	{
		if(wmode>=2)return SD_UNSUPPORTED_FEATURE;//֧8λģʽ
 		else   
		{
			errorstatus=SDEnWideBus(wmode);
 			if(SD_OK==errorstatus)
			{
				SDIO->CLKCR&=~(3<<11);		//֮ǰλ    
				SDIO->CLKCR|=(u16)wmode<<11;//1λ/4λ߿ 
				SDIO->CLKCR|=0<<14;			//Ӳ
			}
		}  
	}
	return errorstatus; 
}
//SDģʽ
//Mode:
//ֵ:״̬
SD_Error SD_SetDeviceMode(u32 Mode)
{
	SD_Error errorstatus = SD_OK;
 	if((Mode==SD_DMA_MODE)||(Mode==SD_POLLING_MODE))DeviceMode=Mode;
	else errorstatus=SD_INVALID_PARAMETER;
	return errorstatus;	    
}
//ѡ
//CMD7,ѡԵַ(rca)ΪaddrĿ,ȡ.Ϊ0,򶼲ѡ.
//addr:RCAַ
SD_Error SD_SelectDeselect(u32 addr)
{
 	SDIO_Send_Cmd(SD_CMD_SEL_DESEL_CARD,1,addr);	//CMD7,ѡ,Ӧ	 	   
   	return CmdResp1Error(SD_CMD_SEL_DESEL_CARD);	  
}
//SDȡһ 
//buf:ݻ(4ֽڶ!!)
//addr:ȡַ
//blksize:С
SD_Error SD_ReadBlock(u8 *buf,long long addr,u16 blksize)
{	  
	SD_Error errorstatus=SD_OK;
	u8 power;
   	u32 count=0,*tempbuff=(u32*)buf;//תΪu32ָ 
	u32 timeout=SDIO_DATATIMEOUT;   
   	if(NULL==buf)return SD_INVALID_PARAMETER; 
   	SDIO->DCTRL=0x0;	//ݿƼĴ(DMA)   
	if(CardType==SDIO_HIGH_CAPACITY_SD_CARD)//
	{
		blksize=512;
		addr>>=9;
	}   
  	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,0,0,0);	//DPSM״̬
	if(SDIO->RESP1&SD_CARD_LOCKED)return SD_LOCK_UNLOCK_FAILED;//
	if((blksize>0)&&(blksize<=2048)&&((blksize&(blksize-1))==0))
	{
		power=convert_from_bytes_to_power_of_two(blksize);	    	   
		SDIO_Send_Cmd(SD_CMD_SET_BLOCKLEN,1,blksize);	//CMD16+ݳΪblksize,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_SET_BLOCKLEN);	//ȴR1Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	 
	}else return SD_INVALID_PARAMETER;	  	  									    
  	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,blksize,power,1);	//blksize,	  
   	SDIO_Send_Cmd(SD_CMD_READ_SINGLE_BLOCK,1,addr);		//CMD17+addrַȡ,Ӧ 	   
	errorstatus=CmdResp1Error(SD_CMD_READ_SINGLE_BLOCK);//ȴR1Ӧ   
	if(errorstatus!=SD_OK)return errorstatus;   		//Ӧ	 
 	if(DeviceMode==SD_POLLING_MODE)						//ѯģʽ,ѯ	 
	{
 		INTX_DISABLE();//رж(POLLINGģʽ,ϽжϴSDIOд!!!)
		while(!(SDIO->STA&((1<<5)|(1<<1)|(1<<3)|(1<<10)|(1<<9))))///CRC/ʱ/(־)/ʼλ
		{
			if(SDIO->STA&(1<<15))						//,ʾٴ8
			{
				for(count=0;count<8;count++)			//ѭȡ
				{
					*(tempbuff+count)=SDIO->FIFO;
				}
				tempbuff+=8;	 
				timeout=0X7FFFFF; 	//ʱ
			}else 	//ʱ
			{
				if(timeout==0)return SD_DATA_TIMEOUT;
				timeout--;
			}
		} 
		if(SDIO->STA&(1<<3))		//ݳʱ
		{										   
	 		SDIO->ICR|=1<<3; 		//־
			return SD_DATA_TIMEOUT;
	 	}else if(SDIO->STA&(1<<1))	//ݿCRC
		{
	 		SDIO->ICR|=1<<1; 		//־
			return SD_DATA_CRC_FAIL;		   
		}else if(SDIO->STA&(1<<5)) 	//fifo
		{
	 		SDIO->ICR|=1<<5; 		//־
			return SD_RX_OVERRUN;		 
		}else if(SDIO->STA&(1<<9)) 	//ʼλ
		{
	 		SDIO->ICR|=1<<9; 		//־
			return SD_START_BIT_ERR;		 
		}   
		while(SDIO->STA&(1<<21))	//FIFO,ڿ
		{
			*tempbuff=SDIO->FIFO;	//ѭȡ
			tempbuff++;
		}
		INTX_ENABLE();//ж
		SDIO->ICR=0X5FF;	 		//б
	}else if(DeviceMode==SD_DMA_MODE)
	{
 		TransferError=SD_OK;
		StopCondition=0;			//,Ҫָֹͣ
		TransferEnd=0;				//λжϷ1
		SDIO->MASK|=(1<<1)|(1<<3)|(1<<8)|(1<<5)|(1<<9);	//Ҫж 
	 	SDIO->DCTRL|=1<<3;		 	//SDIO DMAʹ 
 	    SD_DMA_Config((u32*)buf,blksize,0); 
 		while(((DMA2->LISR&(1<<27))==RESET)&&(TransferEnd==0)&&(TransferError==SD_OK)&&timeout)timeout--;//ȴ 
		if(timeout==0)return SD_DATA_TIMEOUT;//ʱ
		if(TransferError!=SD_OK)errorstatus=TransferError;  
    }   
 	return errorstatus; 
}
//SDȡ 
//buf:ݻ
//addr:ȡַ
//blksize:С
//nblks:ҪȡĿ
//ֵ:״̬
__align(4) u32 *tempbuff;
SD_Error SD_ReadMultiBlocks(u8 *buf,long long addr,u16 blksize,u32 nblks)
{
  	SD_Error errorstatus=SD_OK;
	u8 power;
   	u32 count=0;
	u32 timeout=SDIO_DATATIMEOUT;  
	tempbuff=(u32*)buf;//תΪu32ָ
	
    SDIO->DCTRL=0x0;		//ݿƼĴ(DMA)   
	if(CardType==SDIO_HIGH_CAPACITY_SD_CARD)//
	{
		blksize=512;
		addr>>=9;
	}  
   	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,0,0,0);	//DPSM״̬
	if(SDIO->RESP1&SD_CARD_LOCKED)return SD_LOCK_UNLOCK_FAILED;//
	if((blksize>0)&&(blksize<=2048)&&((blksize&(blksize-1))==0))
	{
		power=convert_from_bytes_to_power_of_two(blksize);	    
		SDIO_Send_Cmd(SD_CMD_SET_BLOCKLEN,1,blksize);	//CMD16+ݳΪblksize,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_SET_BLOCKLEN);	//ȴR1Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	 
	}else return SD_INVALID_PARAMETER;	  
	if(nblks>1)											//  
	{									    
 	  	if(nblks*blksize>SD_MAX_DATA_LENGTH)return SD_INVALID_PARAMETER;//жǷ񳬹ճ
		SDIO_Send_Data_Cfg(SD_DATATIMEOUT,nblks*blksize,power,1);//nblks*blksize,512С,	  
	  	SDIO_Send_Cmd(SD_CMD_READ_MULT_BLOCK,1,addr);	//CMD18+addrַȡ,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_READ_MULT_BLOCK);//ȴR1Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	  
 		if(DeviceMode==SD_POLLING_MODE)
		{
			INTX_DISABLE();//رж(POLLINGģʽ,ϽжϴSDIOд!!!)
			while(!(SDIO->STA&((1<<5)|(1<<1)|(1<<3)|(1<<8)|(1<<9))))///CRC/ʱ/(־)/ʼλ
			{
				if(SDIO->STA&(1<<15))						//,ʾٴ8
				{
					for(count=0;count<8;count++)			//ѭȡ
					{
						*(tempbuff+count)=SDIO->FIFO;
					}
					tempbuff+=8;	 
					timeout=0X7FFFFF; 	//ʱ
				}else 	//ʱ
				{
					if(timeout==0)return SD_DATA_TIMEOUT;
					timeout--;
				}
			}  
			if(SDIO->STA&(1<<3))		//ݳʱ
			{										   
		 		SDIO->ICR|=1<<3; 		//־
				return SD_DATA_TIMEOUT;
		 	}else if(SDIO->STA&(1<<1))	//ݿCRC
			{
		 		SDIO->ICR|=1<<1; 		//־
				return SD_DATA_CRC_FAIL;		   
			}else if(SDIO->STA&(1<<5)) 	//fifo
			{
		 		SDIO->ICR|=1<<5; 		//־
				return SD_RX_OVERRUN;		 
			}else if(SDIO->STA&(1<<9)) 	//ʼλ
			{
		 		SDIO->ICR|=1<<9; 		//־
				return SD_START_BIT_ERR;		 
			}   
			while(SDIO->STA&(1<<21))	//FIFO,ڿ
			{
				*tempbuff=SDIO->FIFO;	//ѭȡ
				tempbuff++;
			}
	 		if(SDIO->STA&(1<<8))		//ս
			{
				if((SDIO_STD_CAPACITY_SD_CARD_V1_1==CardType)||(SDIO_STD_CAPACITY_SD_CARD_V2_0==CardType)||(SDIO_HIGH_CAPACITY_SD_CARD==CardType))
				{
					SDIO_Send_Cmd(SD_CMD_STOP_TRANSMISSION,1,0);		//CMD12+ 	   
					errorstatus=CmdResp1Error(SD_CMD_STOP_TRANSMISSION);//ȴR1Ӧ   
					if(errorstatus!=SD_OK)return errorstatus;	 
				}
 			}
			INTX_ENABLE();//ж
	 		SDIO->ICR=0X5FF;	 		//б 
 		}else if(DeviceMode==SD_DMA_MODE)
		{
	   		TransferError=SD_OK;
			StopCondition=1;			//,Ҫָֹͣ 
			TransferEnd=0;				//λжϷ1
			SDIO->MASK|=(1<<1)|(1<<3)|(1<<8)|(1<<5)|(1<<9);	//Ҫж 
		 	SDIO->DCTRL|=1<<3;		 						//SDIO DMAʹ 
	 	    SD_DMA_Config((u32*)buf,nblks*blksize,0); 
	 		while(((DMA2->LISR&(1<<27))==RESET)&&timeout)timeout--;//ȴ 
			if(timeout==0)return SD_DATA_TIMEOUT;//ʱ
			while((TransferEnd==0)&&(TransferError==SD_OK)); 
			if(TransferError!=SD_OK)errorstatus=TransferError;  	 
		}		 
  	}
	return errorstatus;
}			    																  
//SDд1 
//buf:ݻ
//addr:дַ
//blksize:С	  
//ֵ:״̬
SD_Error SD_WriteBlock(u8 *buf,long long addr,  u16 blksize)
{
	SD_Error errorstatus = SD_OK;
	u8  power=0,cardstate=0;
	u32 timeout=0,bytestransferred=0;
	u32 cardstatus=0,count=0,restwords=0;
	u32	tlen=blksize;						//ܳ(ֽ)
	u32*tempbuff=(u32*)buf;								 
 	if(buf==NULL)return SD_INVALID_PARAMETER;//   
  	SDIO->DCTRL=0x0;							//ݿƼĴ(DMA)   
  	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,0,0,0);	//DPSM״̬
	if(SDIO->RESP1&SD_CARD_LOCKED)return SD_LOCK_UNLOCK_FAILED;//
 	if(CardType==SDIO_HIGH_CAPACITY_SD_CARD)	//
	{
		blksize=512;
		addr>>=9;
	}    
	if((blksize>0)&&(blksize<=2048)&&((blksize&(blksize-1))==0))
	{
		power=convert_from_bytes_to_power_of_two(blksize);	    
		SDIO_Send_Cmd(SD_CMD_SET_BLOCKLEN,1,blksize);	//CMD16+ݳΪblksize,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_SET_BLOCKLEN);	//ȴR1Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	 
	}else return SD_INVALID_PARAMETER;	 
   	SDIO_Send_Cmd(SD_CMD_SEND_STATUS,1,(u32)RCA<<16);	//CMD13,ѯ״̬,Ӧ 	   
	errorstatus=CmdResp1Error(SD_CMD_SEND_STATUS);		//ȴR1Ӧ   		   
	if(errorstatus!=SD_OK)return errorstatus;
	cardstatus=SDIO->RESP1;													  
	timeout=SD_DATATIMEOUT;
   	while(((cardstatus&0x00000100)==0)&&(timeout>0)) 	//READY_FOR_DATAλǷλ
	{
		timeout--;
	   	SDIO_Send_Cmd(SD_CMD_SEND_STATUS,1,(u32)RCA<<16);//CMD13,ѯ״̬,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_SEND_STATUS);	//ȴR1Ӧ   		   
		if(errorstatus!=SD_OK)return errorstatus;				    
		cardstatus=SDIO->RESP1;													  
	}
	if(timeout==0)return SD_ERROR;
   	SDIO_Send_Cmd(SD_CMD_WRITE_SINGLE_BLOCK,1,addr);	//CMD24,дָ,Ӧ 	   
	errorstatus=CmdResp1Error(SD_CMD_WRITE_SINGLE_BLOCK);//ȴR1Ӧ   		   
	if(errorstatus!=SD_OK)return errorstatus;   	  
	StopCondition=0;									//д,Ҫָֹͣ 
 	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,blksize,power,0);	//blksize, 	  
	timeout=SDIO_DATATIMEOUT;
	if (DeviceMode == SD_POLLING_MODE)
	{
		INTX_DISABLE();//رж(POLLINGģʽ,ϽжϴSDIOд!!!)
		while(!(SDIO->STA&((1<<10)|(1<<4)|(1<<1)|(1<<3)|(1<<9))))//ݿ鷢ͳɹ//CRC/ʱ/ʼλ
		{
			if(SDIO->STA&(1<<14))							//,ʾٴ8
			{
				if((tlen-bytestransferred)<SD_HALFFIFOBYTES)//32ֽ
				{
					restwords=((tlen-bytestransferred)%4==0)?((tlen-bytestransferred)/4):((tlen-bytestransferred)/4+1);
					
					for(count=0;count<restwords;count++,tempbuff++,bytestransferred+=4)
					{
						SDIO->FIFO=*tempbuff;
					}
				}else
				{
					for(count=0;count<8;count++)
					{
						SDIO->FIFO=*(tempbuff+count);
					}
					tempbuff+=8;
					bytestransferred+=32;
				}
				timeout=0X3FFFFFFF;	//дʱ
			}else
			{
				if(timeout==0)return SD_DATA_TIMEOUT;
				timeout--;
			}
		} 
		if(SDIO->STA&(1<<3))		//ݳʱ
		{										   
	 		SDIO->ICR|=1<<3; 		//־
			return SD_DATA_TIMEOUT;
	 	}else if(SDIO->STA&(1<<1))	//ݿCRC
		{
	 		SDIO->ICR|=1<<1; 		//־
			return SD_DATA_CRC_FAIL;		   
		}else if(SDIO->STA&(1<<4)) 	//fifo
		{
	 		SDIO->ICR|=1<<4; 		//־
			return SD_TX_UNDERRUN;		 
		}else if(SDIO->STA&(1<<9)) 	//ʼλ
		{
	 		SDIO->ICR|=1<<9; 		//־
			return SD_START_BIT_ERR;		 
		}   
		INTX_ENABLE();//ж
		SDIO->ICR=0X5FF;	 		//б	  
	}else if(DeviceMode==SD_DMA_MODE)
	{
   		TransferError=SD_OK;
		StopCondition=0;			//д,Ҫָֹͣ 
		TransferEnd=0;				//λжϷ1
		SDIO->MASK|=(1<<1)|(1<<3)|(1<<8)|(1<<4)|(1<<9);	//òݽж
		SD_DMA_Config((u32*)buf,blksize,1);				//SDIO DMA
 	 	SDIO->DCTRL|=1<<3;								//SDIO DMAʹ.  
 		while(((DMA2->LISR&(1<<27))==RESET)&&timeout)timeout--;//ȴ 
		if(timeout==0)
		{
  			SD_Init();	 					//³ʼSD,Խд
			return SD_DATA_TIMEOUT;			//ʱ	 
 		}
		timeout=SDIO_DATATIMEOUT;
		while((TransferEnd==0)&&(TransferError==SD_OK)&&timeout)timeout--;
 		if(timeout==0)return SD_DATA_TIMEOUT;			//ʱ	 
  		if(TransferError!=SD_OK)return TransferError;
 	}  
 	SDIO->ICR=0X5FF;	 		//б
 	errorstatus=IsCardProgramming(&cardstate);
 	while((errorstatus==SD_OK)&&((cardstate==SD_CARD_PROGRAMMING)||(cardstate==SD_CARD_RECEIVING)))
	{
		errorstatus=IsCardProgramming(&cardstate);
	}   
	return errorstatus;
}
//SDд 
//buf:ݻ
//addr:дַ
//blksize:С
//nblks:ҪдĿ
//ֵ:״̬												   
SD_Error SD_WriteMultiBlocks(u8 *buf,long long addr,u16 blksize,u32 nblks)
{
	SD_Error errorstatus = SD_OK;
	u8  power = 0, cardstate = 0;
	u32 timeout=0,bytestransferred=0;
	u32 count = 0, restwords = 0;
	u32 tlen=nblks*blksize;				//ܳ(ֽ)
	u32 *tempbuff = (u32*)buf;  
  	if(buf==NULL)return SD_INVALID_PARAMETER; //  
  	SDIO->DCTRL=0x0;							//ݿƼĴ(DMA)   
  	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,0,0,0);	//DPSM״̬
	if(SDIO->RESP1&SD_CARD_LOCKED)return SD_LOCK_UNLOCK_FAILED;//
 	if(CardType==SDIO_HIGH_CAPACITY_SD_CARD)//
	{
		blksize=512;
		addr>>=9;
	}    
	if((blksize>0)&&(blksize<=2048)&&((blksize&(blksize-1))==0))
	{
		power=convert_from_bytes_to_power_of_two(blksize);	    
		SDIO_Send_Cmd(SD_CMD_SET_BLOCKLEN,1,blksize);	//CMD16+ݳΪblksize,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_SET_BLOCKLEN);	//ȴR1Ӧ   
		if(errorstatus!=SD_OK)return errorstatus;   	//Ӧ	 
	}else return SD_INVALID_PARAMETER;	 
	if(nblks>1)
	{					  
		if(nblks*blksize>SD_MAX_DATA_LENGTH)return SD_INVALID_PARAMETER;   
     	if((SDIO_STD_CAPACITY_SD_CARD_V1_1==CardType)||(SDIO_STD_CAPACITY_SD_CARD_V2_0==CardType)||(SDIO_HIGH_CAPACITY_SD_CARD==CardType))
    	{
			//
	 	   	SDIO_Send_Cmd(SD_CMD_APP_CMD,1,(u32)RCA<<16);	//ACMD55,Ӧ 	   
			errorstatus=CmdResp1Error(SD_CMD_APP_CMD);		//ȴR1Ӧ   		   
			if(errorstatus!=SD_OK)return errorstatus;				    
	 	   	SDIO_Send_Cmd(SD_CMD_SET_BLOCK_COUNT,1,nblks);	//CMD23,ÿ,Ӧ 	   
			errorstatus=CmdResp1Error(SD_CMD_SET_BLOCK_COUNT);//ȴR1Ӧ   		   
			if(errorstatus!=SD_OK)return errorstatus;				    
		} 
		SDIO_Send_Cmd(SD_CMD_WRITE_MULT_BLOCK,1,addr);		//CMD25,дָ,Ӧ 	   
		errorstatus=CmdResp1Error(SD_CMD_WRITE_MULT_BLOCK);	//ȴR1Ӧ   		   
		if(errorstatus!=SD_OK)return errorstatus;
 	 	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,nblks*blksize,power,0);//blksize, 	
		if(DeviceMode==SD_POLLING_MODE)
	    {
			timeout=SDIO_DATATIMEOUT;
			INTX_DISABLE();//رж(POLLINGģʽ,ϽжϴSDIOд!!!)
			while(!(SDIO->STA&((1<<4)|(1<<1)|(1<<8)|(1<<3)|(1<<9))))///CRC/ݽ/ʱ/ʼλ
			{
				if(SDIO->STA&(1<<14))							//,ʾٴ8(32ֽ)
				{	  
					if((tlen-bytestransferred)<SD_HALFFIFOBYTES)//32ֽ
					{
						restwords=((tlen-bytestransferred)%4==0)?((tlen-bytestransferred)/4):((tlen-bytestransferred)/4+1);
						for(count=0;count<restwords;count++,tempbuff++,bytestransferred+=4)
						{
							SDIO->FIFO=*tempbuff;
						}
					}else 										//,Է8(32ֽ)
					{
						for(count=0;count<SD_HALFFIFO;count++)
						{
							SDIO->FIFO=*(tempbuff+count);
						}
						tempbuff+=SD_HALFFIFO;
						bytestransferred+=SD_HALFFIFOBYTES;
					}
					timeout=0X3FFFFFFF;	//дʱ
				}else
				{
					if(timeout==0)return SD_DATA_TIMEOUT; 
					timeout--;
				}
			} 
			if(SDIO->STA&(1<<3))		//ݳʱ
			{										   
		 		SDIO->ICR|=1<<3; 		//־
				return SD_DATA_TIMEOUT;
		 	}else if(SDIO->STA&(1<<1))	//ݿCRC
			{
		 		SDIO->ICR|=1<<1; 		//־
				return SD_DATA_CRC_FAIL;		   
			}else if(SDIO->STA&(1<<4)) 	//fifo
			{
		 		SDIO->ICR|=1<<4; 		//־
				return SD_TX_UNDERRUN;		 
			}else if(SDIO->STA&(1<<9)) 	//ʼλ
			{
		 		SDIO->ICR|=1<<9; 		//־
				return SD_START_BIT_ERR;		 
			}   										   
			if(SDIO->STA&(1<<8))		//ͽ
			{															 
				if((SDIO_STD_CAPACITY_SD_CARD_V1_1==CardType)||(SDIO_STD_CAPACITY_SD_CARD_V2_0==CardType)||(SDIO_HIGH_CAPACITY_SD_CARD==CardType))
				{
					SDIO_Send_Cmd(SD_CMD_STOP_TRANSMISSION,1,0);		//CMD12+ 	   
					errorstatus=CmdResp1Error(SD_CMD_STOP_TRANSMISSION);//ȴR1Ӧ   
					if(errorstatus!=SD_OK)return errorstatus;	 
				}
			}
			INTX_ENABLE();//ж
	 		SDIO->ICR=0X5FF;	 		//б 
	    }else if(DeviceMode==SD_DMA_MODE)
		{
	   		TransferError=SD_OK;
			StopCondition=1;			//д,Ҫָֹͣ 
			TransferEnd=0;				//λжϷ1
			SDIO->MASK|=(1<<1)|(1<<3)|(1<<8)|(1<<4)|(1<<9);	//òݽж
			SD_DMA_Config((u32*)buf,nblks*blksize,1);		//SDIO DMA
	 	 	SDIO->DCTRL|=1<<3;								//SDIO DMAʹ. 
			timeout=SDIO_DATATIMEOUT;
	 		while(((DMA2->LISR&(1<<27))==RESET)&&timeout)timeout--;//ȴ 
			if(timeout==0)	 								//ʱ
			{									  
  				SD_Init();	 					//³ʼSD,Խд
	 			return SD_DATA_TIMEOUT;			//ʱ	 
	 		}
			timeout=SDIO_DATATIMEOUT;
			while((TransferEnd==0)&&(TransferError==SD_OK)&&timeout)timeout--;
	 		if(timeout==0)return SD_DATA_TIMEOUT;			//ʱ	 
	 		if(TransferError!=SD_OK)return TransferError;	 
		}
  	}
 	SDIO->ICR=0X5FF;	 		//б
 	errorstatus=IsCardProgramming(&cardstate);
 	while((errorstatus==SD_OK)&&((cardstate==SD_CARD_PROGRAMMING)||(cardstate==SD_CARD_RECEIVING)))
	{
		errorstatus=IsCardProgramming(&cardstate);
	}   
	return errorstatus;	   
}
//SDIOжϷ		  
void SDIO_IRQHandler(void) 
{											
 	SD_ProcessIRQSrc();//SDIOж
}	 																    
//SDIOжϴ
//SDIOеĸж
//ֵ:
SD_Error SD_ProcessIRQSrc(void)
{
	if(SDIO->STA&(1<<8))//ж
	{	 
		if (StopCondition==1)
		{
			SDIO_Send_Cmd(SD_CMD_STOP_TRANSMISSION,1,0);		//CMD12, 	   
			TransferError=CmdResp1Error(SD_CMD_STOP_TRANSMISSION);
		}else TransferError = SD_OK;	
 		SDIO->ICR|=1<<8;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
 		TransferEnd = 1;
		return(TransferError);
	}
 	if(SDIO->STA&(1<<1))//CRC
	{
		SDIO->ICR|=1<<1;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
	    TransferError = SD_DATA_CRC_FAIL;
	    return(SD_DATA_CRC_FAIL);
	}
 	if(SDIO->STA&(1<<3))//ݳʱ
	{
		SDIO->ICR|=1<<3;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
	    TransferError = SD_DATA_TIMEOUT;
	    return(SD_DATA_TIMEOUT);
	}
  	if(SDIO->STA&(1<<5))//FIFO
	{
		SDIO->ICR|=1<<5;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
	    TransferError = SD_RX_OVERRUN;
	    return(SD_RX_OVERRUN);
	}
   	if(SDIO->STA&(1<<4))//FIFO
	{
		SDIO->ICR|=1<<4;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
	    TransferError = SD_TX_UNDERRUN;
	    return(SD_TX_UNDERRUN);
	}
	if(SDIO->STA&(1<<9))//ʼλ
	{
		SDIO->ICR|=1<<9;//жϱ
		SDIO->MASK&=~((1<<1)|(1<<3)|(1<<8)|(1<<14)|(1<<15)|(1<<4)|(1<<5)|(1<<9));//رж
	    TransferError = SD_START_BIT_ERR;
	    return(SD_START_BIT_ERR);
	}
	return(SD_OK);
}
  
//CMD0ִ״̬
//ֵ:sd
SD_Error CmdError(void)
{
	SD_Error errorstatus = SD_OK;
	u32 timeout=SDIO_CMD0TIMEOUT;	   
	while(timeout--)
	{
		if(SDIO->STA&(1<<7))break;	//ѷ(Ӧ)	 
	}	    
	if(timeout==0)return SD_CMD_RSP_TIMEOUT;  
	SDIO->ICR=0X5FF;				//
	return errorstatus;
}	 
//R7ӦĴ״̬
//ֵ:sd
SD_Error CmdResp7Error(void)
{
	SD_Error errorstatus=SD_OK;
	u32 status;
	u32 timeout=SDIO_CMD0TIMEOUT;
 	while(timeout--)
	{
		status=SDIO->STA;
		if(status&((1<<0)|(1<<2)|(1<<6)))break;//CRC/Ӧʱ/ѾյӦ(CRCУɹ)	
	}
 	if((timeout==0)||(status&(1<<2)))	//Ӧʱ
	{																				    
		errorstatus=SD_CMD_RSP_TIMEOUT;	//ǰ2.0ݿ,߲֧趨ĵѹΧ
		SDIO->ICR|=1<<2;				//Ӧʱ־
		return errorstatus;
	}	 
	if(status&1<<6)						//ɹյӦ
	{								   
		errorstatus=SD_OK;
		SDIO->ICR|=1<<6;				//Ӧ־
 	}
	return errorstatus;
}	   
//R1ӦĴ״̬
//cmd:ǰ
//ֵ:sd
SD_Error CmdResp1Error(u8 cmd)
{	  
   	u32 status; 
	while(1)
	{
		status=SDIO->STA;
		if(status&((1<<0)|(1<<2)|(1<<6)))break;//CRC/Ӧʱ/ѾյӦ(CRCУɹ)
	} 
	if(status&(1<<2))					//Ӧʱ
	{																				    
 		SDIO->ICR=1<<2;					//Ӧʱ־
		return SD_CMD_RSP_TIMEOUT;
	}	
 	if(status&(1<<0))					//CRC
	{																				    
 		SDIO->ICR=1<<0;					//־
		return SD_CMD_CRC_FAIL;
	}		
	if(SDIO->RESPCMD!=cmd)return SD_ILLEGAL_CMD;//ƥ 
  	SDIO->ICR=0X5FF;	 				//
	return (SD_Error)(SDIO->RESP1&SD_OCR_ERRORBITS);//ؿӦ
}
//R3ӦĴ״̬
//ֵ:״̬
SD_Error CmdResp3Error(void)
{
	u32 status;						 
 	while(1)
	{
		status=SDIO->STA;
		if(status&((1<<0)|(1<<2)|(1<<6)))break;//CRC/Ӧʱ/ѾյӦ(CRCУɹ)	
	}
 	if(status&(1<<2))					//Ӧʱ
	{											 
		SDIO->ICR|=1<<2;				//Ӧʱ־
		return SD_CMD_RSP_TIMEOUT;
	}	 
   	SDIO->ICR=0X5FF;	 				//
 	return SD_OK;								  
}
//R2ӦĴ״̬
//ֵ:״̬
SD_Error CmdResp2Error(void)
{
	SD_Error errorstatus=SD_OK;
	u32 status;
	u32 timeout=SDIO_CMD0TIMEOUT;
 	while(timeout--)
	{
		status=SDIO->STA;
		if(status&((1<<0)|(1<<2)|(1<<6)))break;//CRC/Ӧʱ/ѾյӦ(CRCУɹ)	
	}
  	if((timeout==0)||(status&(1<<2)))	//Ӧʱ
	{																				    
		errorstatus=SD_CMD_RSP_TIMEOUT; 
		SDIO->ICR|=1<<2;				//Ӧʱ־
		return errorstatus;
	}	 
	if(status&1<<0)						//CRC
	{								   
		errorstatus=SD_CMD_CRC_FAIL;
		SDIO->ICR|=1<<0;				//Ӧ־
 	}
	SDIO->ICR=0X5FF;	 				//
 	return errorstatus;								    		 
} 
//R6ӦĴ״̬
//cmd:֮ǰ͵
//prca:صRCAַ
//ֵ:״̬
SD_Error CmdResp6Error(u8 cmd,u16*prca)
{
	SD_Error errorstatus=SD_OK;
	u32 status;					    
	u32 rspr1;
 	while(1)
	{
		status=SDIO->STA;
		if(status&((1<<0)|(1<<2)|(1<<6)))break;//CRC/Ӧʱ/ѾյӦ(CRCУɹ)	
	}
	if(status&(1<<2))					//Ӧʱ
	{																				    
 		SDIO->ICR|=1<<2;				//Ӧʱ־
		return SD_CMD_RSP_TIMEOUT;
	}	 	 
	if(status&1<<0)						//CRC
	{								   
		SDIO->ICR|=1<<0;				//Ӧ־
 		return SD_CMD_CRC_FAIL;
	}
	if(SDIO->RESPCMD!=cmd)				//жǷӦcmd
	{
 		return SD_ILLEGAL_CMD; 		
	}	    
	SDIO->ICR=0X5FF;	 				//б
	rspr1=SDIO->RESP1;					//õӦ 	 
	if(SD_ALLZERO==(rspr1&(SD_R6_GENERAL_UNKNOWN_ERROR|SD_R6_ILLEGAL_CMD|SD_R6_COM_CRC_FAILED)))
	{
		*prca=(u16)(rspr1>>16);			//16λõ,rca
		return errorstatus;
	}
   	if(rspr1&SD_R6_GENERAL_UNKNOWN_ERROR)return SD_GENERAL_UNKNOWN_ERROR;
   	if(rspr1&SD_R6_ILLEGAL_CMD)return SD_ILLEGAL_CMD;
   	if(rspr1&SD_R6_COM_CRC_FAILED)return SD_COM_CRC_FAILED;
	return errorstatus;
}

//SDIOʹܿģʽ
//enx:0,ʹ;1,ʹ;
//ֵ:״̬
SD_Error SDEnWideBus(u8 enx)
{
	SD_Error errorstatus = SD_OK;
 	u32 scr[2]={0,0};
	u8 arg=0X00;
	if(enx)arg=0X02;
	else arg=0X00;
 	if(SDIO->RESP1&SD_CARD_LOCKED)return SD_LOCK_UNLOCK_FAILED;//SDLOCKED״̬		    
 	errorstatus=FindSCR(RCA,scr);						//õSCRĴ
 	if(errorstatus!=SD_OK)return errorstatus;
	if((scr[1]&SD_WIDE_BUS_SUPPORT)!=SD_ALLZERO)		//ֿ֧
	{
	 	SDIO_Send_Cmd(SD_CMD_APP_CMD,1,(u32)RCA<<16);	//CMD55+RCA,Ӧ											  
	 	errorstatus=CmdResp1Error(SD_CMD_APP_CMD);
	 	if(errorstatus!=SD_OK)return errorstatus; 
	 	SDIO_Send_Cmd(SD_CMD_APP_SD_SET_BUSWIDTH,1,arg);//ACMD6,Ӧ,:10,4λ;00,1λ.											  
		errorstatus=CmdResp1Error(SD_CMD_APP_SD_SET_BUSWIDTH);
		return errorstatus;
	}else return SD_REQUEST_NOT_APPLICABLE;				//ֿ֧ 	 
}												   
//鿨Ƿִд
//pstatus:ǰ״̬.
//ֵ:
SD_Error IsCardProgramming(u8 *pstatus)
{
 	vu32 respR1 = 0, status = 0; 
  	SDIO_Send_Cmd(SD_CMD_SEND_STATUS,1,(u32)RCA<<16);		//CMD13 	   
  	status=SDIO->STA;
	while(!(status&((1<<0)|(1<<6)|(1<<2))))status=SDIO->STA;//ȴ
   	if(status&(1<<0))			//CRCʧ
	{
		SDIO->ICR|=1<<0;		//
		return SD_CMD_CRC_FAIL;
	}
   	if(status&(1<<2))			//ʱ 
	{
		SDIO->ICR|=1<<2;		//
		return SD_CMD_RSP_TIMEOUT;
	}
 	if(SDIO->RESPCMD!=SD_CMD_SEND_STATUS)return SD_ILLEGAL_CMD;
	SDIO->ICR=0X5FF;	 		//б
	respR1=SDIO->RESP1;
	*pstatus=(u8)((respR1>>9)&0x0000000F);
	return SD_OK;
}
//ȡǰ״̬
//pcardstatus:״̬
//ֵ:
SD_Error SD_SendStatus(uint32_t *pcardstatus)
{
	SD_Error errorstatus = SD_OK;
	if(pcardstatus==NULL)
	{
		errorstatus=SD_INVALID_PARAMETER;
		return errorstatus;
	}
 	SDIO_Send_Cmd(SD_CMD_SEND_STATUS,1,RCA<<16);	//CMD13,Ӧ		 
	errorstatus=CmdResp1Error(SD_CMD_SEND_STATUS);	//ѯӦ״̬ 
	if(errorstatus!=SD_OK)return errorstatus;
	*pcardstatus=SDIO->RESP1;//ȡӦֵ
	return errorstatus;
} 
//SD״̬
//ֵ:SD״̬
SDCardState SD_GetState(void)
{
	u32 resp1=0;
	if(SD_SendStatus(&resp1)!=SD_OK)return SD_CARD_ERROR;
	else return (SDCardState)((resp1>>9) & 0x0F);
}
//SDSCRĴֵ
//rca:Եַ
//pscr:ݻ(洢SCR)
//ֵ:״̬		   
SD_Error FindSCR(u16 rca,u32 *pscr)
{ 
	u32 index = 0; 
	SD_Error errorstatus = SD_OK;
	u32 tempscr[2]={0,0};  
 	SDIO_Send_Cmd(SD_CMD_SET_BLOCKLEN,1,8);			//CMD16,Ӧ,Block SizeΪ8ֽ											  
 	errorstatus=CmdResp1Error(SD_CMD_SET_BLOCKLEN);
 	if(errorstatus!=SD_OK)return errorstatus;	    
  	SDIO_Send_Cmd(SD_CMD_APP_CMD,1,(u32)rca<<16);	//CMD55,Ӧ 									  
 	errorstatus=CmdResp1Error(SD_CMD_APP_CMD);
 	if(errorstatus!=SD_OK)return errorstatus;
	SDIO_Send_Data_Cfg(SD_DATATIMEOUT,8,3,1);		//8ֽڳ,blockΪ8ֽ,SDSDIO.
   	SDIO_Send_Cmd(SD_CMD_SD_APP_SEND_SCR,1,0);		//ACMD51,Ӧ,Ϊ0											  
 	errorstatus=CmdResp1Error(SD_CMD_SD_APP_SEND_SCR);
 	if(errorstatus!=SD_OK)return errorstatus;							   
 	while(!(SDIO->STA&(SDIO_FLAG_RXOVERR|SDIO_FLAG_DCRCFAIL|SDIO_FLAG_DTIMEOUT|SDIO_FLAG_DBCKEND|SDIO_FLAG_STBITERR)))
	{ 
		if(SDIO->STA&(1<<21))//FIFOݿ
		{
			*(tempscr+index)=SDIO->FIFO;	//ȡFIFO
			index++;
			if(index>=2)break;
		}
	}
 	if(SDIO->STA&(1<<3))		//ݳʱ
	{										 
 		SDIO->ICR|=1<<3;		//
		return SD_DATA_TIMEOUT;
	}
	else if(SDIO->STA&(1<<1))	//ѷ/յݿCRCУ
	{
 		SDIO->ICR|=1<<1;		//
		return SD_DATA_CRC_FAIL;   
	}
	else if(SDIO->STA&(1<<5))	//FIFO
	{
 		SDIO->ICR|=1<<5;		//
		return SD_RX_OVERRUN;   	   
	}
	else if(SDIO->STA&(1<<9))	//ʼλ
	{
 		SDIO->ICR|=1<<9;		//
		return SD_START_BIT_ERR;    
	}
   	SDIO->ICR=0X5FF;	 		//	 
	//˳8λΪλ.   	
	*(pscr+1)=((tempscr[0]&SD_0TO7BITS)<<24)|((tempscr[0]&SD_8TO15BITS)<<8)|((tempscr[0]&SD_16TO23BITS)>>8)|((tempscr[0]&SD_24TO31BITS)>>24);
	*(pscr)=((tempscr[1]&SD_0TO7BITS)<<24)|((tempscr[1]&SD_8TO15BITS)<<8)|((tempscr[1]&SD_16TO23BITS)>>8)|((tempscr[1]&SD_24TO31BITS)>>24);
 	return errorstatus;
}
//õNumberOfBytes2Ϊ׵ָ.
//NumberOfBytes:ֽ.
//ֵ:2Ϊ׵ֵָ
u8 convert_from_bytes_to_power_of_two(u16 NumberOfBytes)
{
	u8 count=0;
	while(NumberOfBytes!=1)
	{
		NumberOfBytes>>=1;
		count++;
	}
	return count;
} 	 
//SDIO DMA  
//mbuf:洢ַ
//bufsize:
//dir:;1,洢-->SDIO(д);0,SDIO-->洢();
void SD_DMA_Config(u32*mbuf,u32 bufsize,u8 dir)
{		 
 	u32 tmpreg=0;//
	while(DMA2_Stream3->CR&0X01);	//ȴDMA 
	DMA2->LIFCR|=0X3D<<22;			//֮ǰstream3ϵжϱ־
	
	
	DMA2_Stream3->PAR=(u32)&SDIO->FIFO;	//DMA2 ַ
	DMA2_Stream3->M0AR=(u32)mbuf; 	//DMA2,洢0ַ;	 
	DMA2_Stream3->NDTR=0; 			//DMA2,0, 
	tmpreg|=dir<<6;		//ݴ䷽
	tmpreg|=0<<8;		//ѭģʽ(ʹͨģʽ)
	tmpreg|=0<<9;		//ģʽ
	tmpreg|=1<<10;		//洢ģʽ
	tmpreg|=2<<11;		//ݳ:32λ
	tmpreg|=2<<13;		//洢ݳ:32λ
	tmpreg|=3<<16;		//ȼ
	tmpreg|=1<<21;		//ͻ4δ
	tmpreg|=1<<23;		//洢ͻ4δ
	tmpreg|=(u32)4<<25;	//ͨѡ
	DMA2_Stream3->CR=tmpreg; 
	
	tmpreg=DMA2_Stream3->FCR;
	tmpreg&=0XFFFFFFF8;	//DMDISFTH
	tmpreg|=1<<2;		//FIFOʹ
	tmpreg|=3<<0;		//ȫFIFO
	DMA2_Stream3->FCR=tmpreg;
	DMA2_Stream3->CR|=1<<5;	// 
	DMA2_Stream3->CR|=1<<0;	//DMA 
}   
//SD
//buf:ݻ
//sector:ַ
//cnt:	
//ֵ:״̬;0,;,;				  				 
u8 SD_ReadDisk(u8*buf,u32 sector,u8 cnt)
{
	u8 sta=SD_OK;
	long long lsector=sector;
	u8 n;
	if(CardType!=SDIO_STD_CAPACITY_SD_CARD_V1_1)lsector<<=9;
	if((u32)buf%4!=0)
	{
	 	for(n=0;n<cnt;n++)
		{
		 	sta=SD_ReadBlock(SDIO_DATA_BUFFER,lsector+512*n,512);//sectorĶ
			memcpy(buf,SDIO_DATA_BUFFER,512);
			buf+=512;
		} 
	}else
	{
		if(cnt==1)sta=SD_ReadBlock(buf,lsector,512);    	//sectorĶ
		else sta=SD_ReadMultiBlocks(buf,lsector,512,cnt);//sector  
	}
	return sta;
}
//дSD
//buf:дݻ
//sector:ַ
//cnt:	
//ֵ:״̬;0,;,;	
u8 SD_WriteDisk(u8*buf,u32 sector,u8 cnt)
{
	u8 sta=SD_OK;
	u8 n;
	long long lsector=sector;
	if(CardType!=SDIO_STD_CAPACITY_SD_CARD_V1_1)lsector<<=9;
	if((u32)buf%4!=0)
	{
	 	for(n=0;n<cnt;n++)
		{
			memcpy(SDIO_DATA_BUFFER,buf,512);
		 	sta=SD_WriteBlock(SDIO_DATA_BUFFER,lsector+512*n,512);//sectorд
			buf+=512;
		} 
	}else
	{
		if(cnt==1)sta=SD_WriteBlock(buf,lsector,512);    	//sectorд
		else sta=SD_WriteMultiBlocks(buf,lsector,512,cnt);	//sector  
	}
	return sta;
}







